Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::closed_indices_fn Struct Reference

## Description

Inclusive range of indices: [from, to].

## Synopsis of methods
constexpr closed_indices_fn | closed_indices {}

## Public Member Functions
template<typename Val >
closed_iota_view< Val > | operator() (Val from, Val to) const
template<typename Val >
closed_iota_view< Val > | operator() (Val to) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Val >

closed_iota_view<Val> ranges::views::closed_indices_fn::operator() | ( | Val | from,
|  | Val | to
| ) |  | const

Precondition
  requires `integral<Val>`

## ◆ operator()() [2/2]

template<typename Val >

closed_iota_view<Val> ranges::views::closed_indices_fn::operator() | ( | Val | to | ) | const

Precondition
  requires `integral<Val>`